---
- hosts: all

  become: true
  tasks:
    - name: Update deb packages.
      apt:
        upgrade: yes
        update_cache: yes
      when: ansible_os_family == "Debian"
    
    - name: Update rpm packages.
      become: true
      dnf:
        name: "*"
        state: latest
      when: ansible_os_family == "RedHat"
    
    - name: Check if reboot is required.
      become: true
      stat:
        path: /var/run/reboot-required
      register: reboot_required

    - name: Send Discord Message.
      uri:
        url: "https://discord.com/api/webhooks/{{ discord_webhook }}"
        method: POST
        body_format: json
        body: '{"content": "Reboot required on {{ inventory_hostname }}"}'
        headers:
          Content-Type: application/json
        status_code: 204
      when: reboot_required.stat.exists
